# 💱 Currencies Dataset (`currencies`)

## 🧾 Overview

This dataset provides a global listing of currencies, including international codes, symbols, and country associations. It is suitable for applications dealing with financial data, payments, international trade, or economic analytics where standardized currency information is essential.

## 📐 Standardization Info

This dataset follows international standards for currency representation:

- **ISO 4217 alpha-3 (`code`)**: Standard three-letter currency codes.
- **ISO 4217 numeric code (`numeric_code`)**: 3-digit numeric code matching ISO specifications.
- **ISO 3166-1 alpha-3 (`country_iso3`)**: Links currency to its country using standardized codes.
- `minor_unit` aligns with ISO standards indicating smallest fraction of the currency:
  - `2` = currency supports cents (e.g., USD, EUR)
  - `0` = currency has no subunits (e.g., JPY)

## 💼 Usage Scenarios

This dataset is perfect for:

- Currency dropdowns in payment interfaces
- Currency conversion tools and forex systems
- Validating currency codes in financial transactions
- Generating region-based economic reports
- Data enrichment in international e-commerce systems

## 🔒 Data Integrity

- `code` must be unique — it acts as the **primary identifier**.
- All currencies should have consistent formatting per ISO 4217 specs.